%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-mime-data
Summary:	The GNOME virtual file-system libraries
Version:	2.18.0
Release:	%mkrel 10
License:	GPL+
Group:		System/Libraries
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) fix default html viewer
Patch0:		gnome-mime-data-2.4.1-html.patch
# (fc) use OOo in preference of abiword (rawhide)
Patch1:		gnome-mime-data-2.4.1-openoffice.patch
# (fc) fix default applications (Mdv bug 1505) (rawhide)
Patch2:		gnome-mime-data-2.4.2-default-applications.patch
# (fc) add gdesklet magic detection (Mdv bug 4790)
Patch3:		gnome-mime-data-2.18.0-gdesklet.patch
URL:		http://www.gnome.org/
BuildRequires:	perl-XML-Parser
BuildArch:	noarch

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --build=%_host
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*
%{_datadir}/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.18.0-10.mga3
+ Revision: 352166
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 ovitters <ovitters> 2.18.0-9.mga2
+ Revision: 209266
- clean spec

* Sat Jan 15 2011 blino <blino> 2.18.0-8.mga1
+ Revision: 19162
- update distro name in comment
- remove version in comments
- remove old conflicts
- imported package gnome-mime-data

